﻿using Exam.Infrastructure.Data.Entity;
using Exam.Infrastructure.Data.Interface;
using Exam.Infrastructure.Enums;
using Hotline.Share.Enums.Exams;
using Hotline.Share.Exams.Interface;
using System.ComponentModel;

namespace Exam.Share
{
    /// <summary>
    /// 用户考试
    /// </summary>
    [Description("用户考试")]
    public class UserExamDto:UpdateUserExamDto
    {       
        /// <summary>
        /// 用户考试明细
        /// </summary>
        [Description("用户考试明细")]
        public new List<UserExamItemDto> UserExamItems { get; set; }
    }

    /// <summary>
    /// 用户考试
    /// </summary>
    [Description("用户考试")]
    public class AddUserExamDto : IAddRequest,IOperationStatus
    {
        /// <summary>
        /// 用户Id
        /// </summary>
        [Description("用户Id")]
        public string UserId { get; set; }

        /// <summary>
        /// 考试Id
        /// </summary>
        [Description("考试Id")]
        public string ExamId { get; set; }

        /// <summary>
        /// 考试分数
        /// </summary>
        [Description("考试分数")]
        public int Score { get; set; }

        /// <summary>
        /// 是否合格
        /// </summary>
        [Description("是否合格")]
        public bool IsSuccess { get; set; }

        /// <summary>
        /// 考试状态
        /// </summary>
        [Description("考试状态")]
        public EExamStatus ExamStatus { get; set; }

        /// <summary>
        /// 是否已阅卷
        /// </summary>
        [Description("是否已阅卷")]
        public ECheck IsCheck { get; set; }

        /// <summary>
        /// 用户考试明细
        /// </summary>
        [Description("用户考试明细")]
        public List<AddUserExamItemDto> UserExamItems { get; set; }

        /// <summary>
        /// 操作状态        
        /// </summary>
        [Description("操作状态")]
        public EEOperationStatus OperationStatus { get; set; }
    }

    /// <summary>
    /// 用户考试
    /// </summary>
    [Description("用户考试")]
    public class UpdateUserExamDto : AddUserExamDto,IActionRequest
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }

        /// <summary>
        /// 用户考试明细
        /// </summary>
        [Description("用户考试明细")]
        public new List<UpdateUserExamItemDto> UserExamItems { get; set; }
    }
}
