﻿using Exam.Infrastructure.Data.Entity;
using Exam.Infrastructure.Data.Interface;
using Exam.Infrastructure.Enums;
using Hotline.Share.Dtos.Questions;
using Hotline.Share.Exams.Interface;
using System.ComponentModel;

namespace Exam.Share
{
    /// <summary>
    /// 用户考试明细
    /// </summary>
    [Description("用户考试明细")]
    public class UserExamItemDto : UpdateUserExamItemDto
    {
        /// <summary>
        /// 试题
        /// </summary>
        [Description("试题")]
        public QuestionDto Question { get; set; }
    }

    /// <summary>
    /// 用户考试明细
    /// </summary>
    [Description("用户考试明细")]
    public class AddUserExamItemDto : IAddRequest,IOperationStatus
    {
        /// <summary>
        /// 用户考试Id
        /// </summary>
        [Description("用户考试Id")]
        public string UserExamId { get; set; }

        /// <summary>
        /// 试题Id
        /// </summary>
        [Description("试题Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 操作状态        
        /// </summary>
        [Description("操作状态")]
        public EEOperationStatus OperationStatus { get; set; }
    }

    /// <summary>
    /// 用户考试明细
    /// </summary>
    [Description("用户考试明细")]
    public class UpdateUserExamItemDto : AddUserExamItemDto, IActionRequest
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }
    }
}
