﻿using Exam.Infrastructure.Data.Interface;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;

namespace Hotline.Share.Requests.Question
{
    public record QuestionPagedRequest:PagedRequest,IQueryRequest
    {
        /// <summary>
        /// 标签
        /// </summary>
        [Description("标签")]
        public string TagId { get; set; }

        /// <summary>
        /// 试题难度
        /// </summary>
        [Description("试题难度")]
        public EDifficultyLevel? DifficultyLevel { get; set; }

        /// <summary>
        /// 题干
        /// </summary>
        [Description("题干")]
        public string Title { get; set; }

        /// <summary>
        /// 知识集合
        /// </summary>
        [Description("知识集合")]
        public List<string> KnowladgeIds { get; set; }
    }
}
